Skip to content

Get bookings

GET
/v1/bookings

Gets a list with bookings.

Authorizations

api_key
Type
API Key (header: X-Api-Key)

Parameters

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
reservation_id

Filter by reservation ID

Example"5e3ae0658c9e405a9a62367293b8f56b_rsr"
Default
null
booking_id

Filter by booking ID

Example"5867e9941e924a7bb169e244b26589ba_bkn"
Default
null
booking_code

Filter by booking code

Example"DQW32M"
Default
null
booking_email

Filter by customer email

Example"user@example.com"
Default
null
distributor_id

Filter by distributor ID

Example"b05f667dcaa843bd8c171c522217eb81_dst"
Default
null
client_id

Filter by client ID

Example"19941a73d2b5498caf6894d62bb6c3a4_cln"
Default
null
compare_mode

Combine filters with AND / OR

Example"AND"
Default
"OR"
query

Free-text search (e.g. name, email)

Example"Smith"
Default
null
mass_booking

Filter by mass booking status

Examplefalse
Default
null
event_id

Filter by event ID

Example"a0351f57524a4119ab838038c2718588_evt"
Default
null

Responses

OK

application/json
JSON
{
  
"bookings": [
  
  
{
  
  
  
"booking_id": "5867e9941e924a7bb169e244b26589ba_bkn",
  
  
  
"reservation_id": "5e3ae0658c9e405a9a62367293b8f56b_rsr",
  
  
  
"booking_code": "DQW32M",
  
  
  
"created": "2025-06-11T14:29:25",
  
  
  
"updated": "2025-06-11T15:12:03",
  
  
  
"client_id": "19941a73d2b5498caf6894d62bb6c3a4_cln",
  
  
  
"booking_email": "alice@example.com",
  
  
  
"payment_method": "invoice",
  
  
  
"payment_reference": "INV-2025-0001",
  
  
  
"booking_reference": "BOOK-2025-0001",
  
  
  
"distributorfinancial_status": "OPEN",
  
  
  
"logistic_status": "COMPLETED",
  
  
  
"deleted": null,
  
  
  
"items": [
  
  
  
  
{
  
  
  
  
  
"quantity": 2,
  
  
  
  
  
"salesprice": 41100,
  
  
  
  
  
"net_rate": 41100,
  
  
  
  
  
"currency": "EUR",
  
  
  
  
  
"ticket_id": "dbe592106db4431a8260c2656dc753ac_tck",
  
  
  
  
  
"ticket_name": "Category 2",
  
  
  
  
  
"event_id": "a0351f57524a4119ab838038c2718588_evt",
  
  
  
  
  
"event_name": "Grand Prix Netherlands",
  
  
  
  
  
"event_season": "2026",
  
  
  
  
  
"tournament_name": "Formula 1"
  
  
  
  
}
  
  
  
]
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples